Class MainWindow 
  Private Sub ElementoMenuPais_Click(sender As Object, e As RoutedEventArgs)
    MessageBox.Show(DirectCast(sender, MenuItem).Header.ToString())
  End Sub

  Private Sub PaisAñadir_Click(sender As System.Object, e As System.Windows.RoutedEventArgs)
    ' Inicialmente hay 3 elementos (dos ocultos)
    If menuPais.Items.Count = 3 Then
      ' Hacer visibles los elementos Eliminar y el Separador1
      PaisEliminar.Visibility = Visibility.Visible
      Separador1.Visibility = Visibility.Visible
    End If
    ' Construir un título para el menú
    Dim titulo As String = "País " & (menuPais.Items.Count - 2)
    ' Crear un elemento con el título construido
    Dim elemento As New MenuItem()
    elemento.Header = titulo
    ' Especificar cuál será su controlador de eventos Click
    AddHandler elemento.Click, AddressOf ElementoMenuPais_Click
    ' Añadir el elemento al menú País
    menuPais.Items.Add(elemento)
  End Sub

  Private Sub PaisEliminar_Click(sender As System.Object, e As System.Windows.RoutedEventArgs)
    ' Eliminar el último elemento
    Dim indUltimo As Integer = menuPais.Items.Count - 1
    menuPais.Items.RemoveAt(indUltimo)
    If menuPais.Items.Count = 3 Then
      ' No quedan más países. Ocultar los elementos
      ' Eliminar y el separador
      PaisEliminar.Visibility = Visibility.Collapsed
      Separador1.Visibility = Visibility.Collapsed
    End If
  End Sub

  Private Sub ArchivoSalir_Click(sender As System.Object, e As System.Windows.RoutedEventArgs)
    Close()
  End Sub
End Class
